tigase.util.cache

## Class SimpleCache<K,V>

- java.lang.Object
- - tigase.util.cache.SimpleCache<K,V>

- All Implemented Interfaces:
    Map<K,V>

      public class SimpleCache<K,V>
      extends Object
      implements Map<K,V>

  Describe class SimpleCache here.
  Created: Sun Nov 26 19:55:22 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `cache_off`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCache(int maxSize, long time)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `protected Map<K,V>` | `dataMap()`
    `Set<Map.Entry<K,V>>` | `entrySet()`
    `boolean` | `equals(Object o)`
    `V` | `get(Object key)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `Set<K>` | `keySet()`
    `V` | `put(K key, V value)`
    `void` | `putAll(Map<? extends K,? extends V> m)`
    `V` | `remove(Object key)`
    `void` | `removeOld()`
    `int` | `size()`
    `Collection<V>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Field Detail

    - #### cache_off

          protected boolean cache_off

  - ### Constructor Detail

    - #### SimpleCache

          public SimpleCache(int maxSize,
                             long time)

  - ### Method Detail

    - #### removeOld

          public void removeOld()

    - #### get

          public V get(Object key)

      Specified by:
        `get` in interface `Map<K,V>`

    - #### put

          public V put(K key,
                       V value)

      Specified by:
        `put` in interface `Map<K,V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<K,V>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<K,V>`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map<K,V>`

    - #### entrySet

          public Set<Map.Entry<K,V>> entrySet()

      Specified by:
        `entrySet` in interface `Map<K,V>`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Map<K,V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<K,V>`
      Overrides:
        `hashCode` in class `Object`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<K,V>`

    - #### keySet

          public Set<K> keySet()

      Specified by:
        `keySet` in interface `Map<K,V>`

    - #### putAll

          public void putAll(Map<? extends K,? extends V> m)

      Specified by:
        `putAll` in interface `Map<K,V>`

    - #### remove

          public V remove(Object key)

      Specified by:
        `remove` in interface `Map<K,V>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<K,V>`

    - #### values

          public Collection<V> values()

      Specified by:
        `values` in interface `Map<K,V>`

    - #### dataMap

          protected Map<K,V> dataMap()

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.